%define _with_vlc 0
Name:           efl
Version:        1.8.3
Release:        1%{?dist}
Summary:        Enlightenment Foundation Libraries

Group:          System Environment/Libraries
License:        LGPL
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel openssl-devel pulseaudio-libs-devel libsndfile-devel
BuildRequires:  freetype-devel pth-devel libX11-devel libXext-devel libXtst-devel
BuildRequires:  libXcursor-devel libXrender-devel libxcb-devel libXp-devel
BuildRequires:  libXinerama-devel libXrandr-devel libXScrnSaver-devel 
BuildRequires:  libXcomposite-devel libXfixes-devel libXdamage-devel 
BuildRequires:  fontconfig-devel libjpeg-devel libpng-devel
BuildRequires:  librsvg2-devel libtiff-devel giflib-devel gstreamer-devel
BuildRequires:  mesa-libGL-devel mesa-libGLU-devel chrpath doxygen pkgconfig
BuildRequires:	fribidi-devel SDL-devel
Requires:       systemd, libmount, eject
BuildRequires:  systemd-devel, libmount-devel >= 2.18, eject dbus-devel bullet-devel lua-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  gstreamer-plugins-good-devel xine-lib-devel
%if %_with_vlc
BuildRequires:  vlc-devel vlc
%endif
Obsoletes:      libeina evas edje ecore eeze ethumb efreet eet embryo eio emotion e_dbus expedite
Provides:       libeina evas edje ecore eeze ethumb efreet eet embryo eio emotion e_dbus expedite

%description
EFL is a copllection of libraries ranging from data structure handling
through to communications, rendering and widgets.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} pkgconfig 
Provides:       libeina-devel evas-devel edje-devel ecore-devel eeze-devel
Provides:       ethumb-devel efreet-devel eet-devel embryo-devel eio-devel
Provides:       emotion-devel e_dbus-devel expedite-devel
Obsoletes:      libeina-devel evas-devel edje-devel ecore-devel eeze-devel
Obsoletes:      ethumb-devel efreet-devel eet-devel embryo-devel eio-devel 
Obsoletes:      emotion-devel e_dbus-devel expedite-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/evas/modules/*/*/*/*.so
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS README NEWS COPYING licenses/COPYING.BSD licenses/COPYING.LGPL licenses/COPYING.GPL
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/evas/modules/*/*/*/module.so
%{_libdir}/ecore
%{_libdir}/ecore_evas
%{_libdir}/ecore_imf
%{_libdir}/edje
%{_libdir}/eeze
%{_libdir}/efreet
%{_libdir}/emotion
%{_libdir}/ethumb
%{_libdir}/ethumb_client
%{_libdir}/evas
%{_datadir}/*/checkme
%{_datadir}/dbus-1/services/org.enlightenment.Efreet.service
%{_datadir}/dbus-1/services/org.enlightenment.Ethumb.service
%{_datadir}/mime/packages/edje.xml
%{_datadir}/edje
%{_datadir}/embryo
%{_datadir}/eo
%{_datadir}/ethumb
%{_datadir}/gdb/auto-load/usr/lib*/libeo.so*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/cmake/Ecore
%{_libdir}/cmake/Edje
%{_libdir}/cmake/Eet
%{_libdir}/cmake/Eeze
%{_libdir}/cmake/Efreet
%{_libdir}/cmake/Eina
%{_libdir}/cmake/Eldbus
%{_libdir}/cmake/Eo
%{_libdir}/cmake/Ethumb
%{_libdir}/cmake/EthumbClient
%{_libdir}/cmake/Evas

%changelog
* Thu Nov 08 2012 Vasile Chelban <vchelban@fedoramd.org> 1.7.99-1
- initial specfile
